> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1videothumbnailupload



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Video.Conversion//swagger/v1/swagger.json post /api/v1/Video/thumbnail/upload
openapi: 3.0.0
info:
  title: NDS.Services.Video.Conversion
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Video.Conversion/
security: []
paths:
  /api/v1/Video/thumbnail/upload:
    post:
      tags:
        - VideoThumbnail
      operationId: VideoThumbnail_UploadFile
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                formFile:
                  type: string
                  format: binary
                  nullable: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadFileResultEx'
components:
  schemas:
    UploadFileResultEx:
      allOf:
        - $ref: '#/components/schemas/UploadFileResult'
        - type: object
          additionalProperties: false
          properties:
            Hash:
              type: string
              format: byte
              nullable: true
    UploadFileResult:
      type: object
      additionalProperties: false
      properties:
        ContentItemId:
          type: string
          format: guid
        Time:
          type: string
          format: date-time
        Result:
          type: integer
          format: int32
        Code:
          type: string
          nullable: true
        Message:
          type: string
          nullable: true

````